#include "mkademliastorage.h"

#include <string>
using namespace std;

const int ID_COUNT = 10;

const char* IDS[] =
{
    "320bcb16d342ae1b5269f809e1238605",
    "4667a6bef8d08e042ee3506579d6ebd4",
    "39ef422a36aedabea54087ed8d6f74d9",
    "5c54e55012e97089f807f18027d16bf2",
    "8dff5e4245bb20b4f5091f1c2f2bdd50",
    "f08f67ca0ead316b699846a4770d61ef",
    "a27a74a0cb895bfa13d48b31539126c0",
    "a29e30059fcf22e3c29a1e71cd5a2a74",
    "666e88589ed219b56a00a2b154245c82",
    "9fe10e74d13aace9ed6435fc9e757d0a",
};

int main(int argc, char* argv[])
{
    MKademliaStorage teststorage;

    for (int i = 0; i < ID_COUNT; ++i)
    {
	    STORE_ITEM item = std::make_pair(string(IDS[i]), "07777777777777777777777777777771");
        std::list<STORE_ITEM> itemlist;
        itemlist.push_back(item);

        teststorage.Put(string(IDS[i]), itemlist, i);

        if (i % 10 == 0) teststorage.Refresh();
    }

    for (int i = 0; i < ID_COUNT; ++i)
    {
        STORE_ITEM item = std::make_pair(string(IDS[i]), "07777777777777777777777777777771");
        std::list<STORE_ITEM> itemlist;
        itemlist.push_back(item);

        teststorage.Put(string(IDS[i]), itemlist, i);

        if (i % 1000 == 0) teststorage.Refresh();
    }

    teststorage.Dump();

	return 0;
}

